using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities.BD;
using APT.Infrastructure.Core;
using APT.Utility;
using Microsoft.AspNetCore.Mvc;

namespace APT.BD.WebApi.Controllers.Api
{
    public partial class SystemInfoController
    {
        [HttpPost, Route("Add")]
        public JsonActionResult<bool> Add()
        {
            var model = GetEntity<T_BD_SYSTEM_INFO>(null, new BaseFilter());
            if (model == null)
                model = new T_BD_SYSTEM_INFO();
            model.PV += 1;
            return WitUpdate(model);
        }
    }
}
